footer {
  background: var(--color-bgTertiary);
  color: var(--color-textTertiaryLight);
}

.footer {
  display: grid;
  grid-template-columns: 1fr;
  gap: 50px;
  font-weight: 600;
  padding-top: 50px;

  @media (min-width: 768px) {
    grid-template-columns: repeat(2, 1fr);
  }

  @media (min-width: 1200px) {
    grid-template-columns: repeat(4, 1fr);
  }
}

.footer_section {
  display: flex;
  flex-direction: column;
  gap: 10px;
}

.footer_section_logo {
  display: flex;
  justify-content: center;
  align-items: center;
  margin-bottom: 20px;

  @media (min-width: 768px) {
    justify-content: flex-start;
  }
}

.footer_section_logo img {
  filter: brightness(0) invert(1);
}

.footer_description {
  text-align: center;

  @media (min-width: 768px) {
    text-align: left;
  }
}

.footer_description br {
  display: none;

  @media (min-width: 480px) {
    display: block;
  }

  @media (min-width: 768px) {
    display: none;
  }
}

.footer_section_social {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 30px;
  margin-top: 20px;

  @media (min-width: 768px) {
    justify-content: flex-start;
  }
}

.footer_section_social a {
  background: rgba(255, 255, 255, 0.1);
  padding: 10px;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 10px;
  transition:
    background 0.3s ease,
    transform 0.3s ease;
}

.footer_section_social a:hover {
  background: rgba(255, 255, 255, 0.3);
  cursor: pointer;
  transform: translateY(-3px);
}

.footer_section_title {
  text-align: center;
  font-size: 20px;
  font-weight: 700;
  color: var(--color-textTertiary);
  margin-bottom: 10px;

  @media (min-width: 768px) {
    text-align: left;
  }
}

.footer_section_divider {
  width: 20%;
  height: 2px;
  background: var(--color-bgHighlightSecondary);
  margin: auto;

  @media (min-width: 768px) {
    width: 15%;
    margin: 0;
  }
}

.footer_section_list {
  display: flex;
  flex-direction: column;
  gap: 20px;
  text-align: center;
  margin-top: 20px;

  @media (min-width: 768px) {
    text-align: left;
  }
}

.footer_section_contact {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 10px;
  margin-top: 20px;

  @media (min-width: 768px) {
    justify-content: flex-start;
  }
}

.footer_section_contact svg {
  color: var(--color-textHighlight);
}

.footer_section_contact div {
  text-align: center;

  @media (min-width: 768px) {
    text-align: left;
  }
}

.footer_bottom {
  display: flex;
  flex-direction: column-reverse;
  gap: 30px;
  text-align: center;
  border-top: 1px solid rgba(255, 255, 255, 0.2);
  padding: 30px 0;
  margin-top: 50px;

  @media (min-width: 768px) {
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
  }
}

.footer_bottom_links {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 20px;
  flex-direction: column;

  @media (min-width: 576px) {
    flex-direction: row;
  }
}

.footer_bottom_links a:hover {
  color: var(--color-textTertiary);
  cursor: pointer;
}

.footer_bottom_links_separator {
  display: none;

  @media (min-width: 576px) {
    display: inline-block;
  }
}

.footer_section_list a {
  position: relative;
  transition: transform 0.3s ease;
  display: inline-block;
}

.footer_section_list a::before {
  @media (min-width: 768px) {
    content: "";
    position: absolute;
    left: -16px;
    top: 50%;
    transform: translateY(-50%);
    width: 6px;
    height: 6px;
    background: var(--color-textHighlight);
    border-radius: 50%;
    opacity: 0;
    transition:
      opacity 0.3s ease,
      transform 0.3s ease;
  }
}

.footer_section_list a:hover {
  @media (min-width: 768px) {
    transform: translateX(8px);
  }
}

.footer_section_list a:hover::before {
  @media (min-width: 768px) {
    opacity: 1;
    transform: translateY(-50%) translateX(-8px);
  }
}
